### Enumeration

# Qmi UimRefreshStage

since: 1.28

#### Declaration

    enum Qmi.UimRefreshStage

#### Description [src]

Current stage of the refresh procedure.

Available since: 1.28

#### Members

`QMI_UIM_REFRESH_STAGE_WAIT_FOR_OK`

  Waiting for REFRESH OK message.

  - Value: `0`
  - Available since: 1.28
`QMI_UIM_REFRESH_STAGE_START`

  Refresh started.

  - Value: `1`
  - Available since: 1.28
`QMI_UIM_REFRESH_STAGE_END_WITH_SUCCESS`

  Refresh completed successfully.

  - Value: `2`
  - Available since: 1.28
`QMI_UIM_REFRESH_STAGE_END_WITH_FAILURE`

  Refresh has failed.

  - Value: `3`
  - Available since: 1.28

#### Type functions

###### qmi_uim_refresh_stage_get_string

Gets the nickname string for the `QmiUimRefreshStage` specified at `val`.

since: 1.28